using System;

public class Program
{
	public static int GetBattleshipsCount(char[][] board)
	{
		int rows = board.Length;
		int cols = board[0].Length;
		int result = 0;

		for (int i = 0; i < rows; i++)
		{
		    for (int j = 0; j < cols; j++)
		    {
			if (board[i][j] == '.')
			    continue;

			// мы пропускаем следующие клетки корабля 'X',
			// т.к. уже посчитали корабль используя самую левую клетку по строке (начало корабля)
			if (i > 0 && board[i - 1][j] == 'X')
			    continue;

			// мы пропускаем следующие клетки корабля 'X',
			// т.к. уже посчитали корабль используя самую верхнюю клетку по столбцу (начало корабля)
			if (j > 0 && board[i][j - 1] == 'X')
			    continue;

			// иначе мы встретили начало нового корабля
			result++;
		    }
		}

		return result;
    	}

	public static void Main()
	{
		Console.WriteLine("UniLecs");

		// tests
		var board = new char[][] {
			new char[] { 'X', '.', '.', 'X' },
			new char[] { '.', '.', '.', 'X' },
			new char[] { '.', '.', '.', 'X' }
		};
		Console.WriteLine(GetBattleshipsCount(board)); // 2
	}
}